Supplier list
GET
/shops/{SHOP_ID}/supplierGet list of suppliers
Path parameters
SHOP_IDintegerrequiredShop ID
Responses
object
dataarray<object>List of suppliers
page_numberintegerPage number
page_sizeintegerPage size
successbooleanSuccess status
total_debtintegerTotal debt
total_entriesintegerTotal entries
total_pagesintegerTotal pages
Request
curl "https://pos.pages.fm/api/v1/shops/{SHOP_ID}/supplier?api_key=API_KEY"Response 200
{
"success": true,
"data": [
{
"address": "90 cầu giấy",
"commune_id": "1011309",
"country_code": 84,
"custom_id": "HH",
"debt_must_pay": "88334",
"description": null,
"district_id": "10113",
"full_address": "90 cầu giấy, Phường Dịch Vọng, Quận Cầu Giấy, Hà Nội",
"id": 988,
"images": [
"https://content.pancake.vn/user-content-dev2.pancake.vn/2025/7/9/8029d570d92ca81812c6ed59465fe75db042e7f9.png"
],
"is_activated": true,
"name": "CT TNHH Hồng Hà",
"payment_info": {
"account_name": "THANG LONG",
"account_number": "123456789",
"partner_code": "CTG"
},
"phone_number": "0983239908",
"province_id": "101",
"tags": [
5
],
"total_purchase": "344444",
"type": 0
}
]
}